ArrayObject::getFlags
ArrayObject::getIteratorClass
ArrayObject
PHP Manual

# ArrayObject::getIterator

(PHP 5 >= 5.0.0)

ArrayObject::getIterator — Create a new iterator from an ArrayObject instance

### Description

public ArrayIterator ArrayObject::getIterator ( void )

Create a new iterator from an ArrayObject instance.

### Parameters

This function has no parameters.

### Return Values

An iterator from an ArrayObject.

### Examples

Example #1 ArrayObject::getIterator() example

`<?php
$array = array('1' => 'one',
'2' => 'two',
'3' => 'three');
$arrayobject = new ArrayObject($array);
$iterator = $arrayobject->getIterator();
while($iterator->valid()) {
echo $iterator->key() . ' => ' . $iterator->current() . "\n";
$iterator->next();
}
?>`

The above example will output:

    1 => one
    2 => two
    3 => three

ArrayObject::getFlags
ArrayObject::getIteratorClass
ArrayObject
PHP Manual